/* ========================================================================== 
*  11.2 - MAP - STORE LOCATOR
* ========================================================================== */

.map-post {
  padding-bottom: 30px;
  margin-bottom: 0;
}

.map-basic {
  background: #445e74;  
  padding: 15px 20px;
}

.map-basic h3 {
  color: #ffffff;
  font-weight: bold;
  text-transform: capitalize;
  margin-bottom: 0;
  font-size: 17px;
  width: auto;
}


.map-text {
  display: inline-block;
  font-size: 14px;
  color: #fff; 
}

#bh-sl-user-location {
  display: flex;
}

#search-address, #bh-sl-search {
  line-height: 33px;
  background: #ffffff;
  border: 1px solid #c9c9c9;
  padding: 5px 20px;
  color: #000; 
  flex: 1 1 auto;
    outline: none;
}

#bh-sl-submit {
  margin-top: 0;
  background: #445e74;
  padding: 7px 15px 6px;
  border: 0;
  color: #ffffff;
  display: inline-block;
  text-decoration: none;
  font-size: 14px;
  font-weight: 300;
  border-radius: 0;
}

.bh-sl-container {
  padding: 0 !important;
  float: none !important;
}

.bh-sl-loc-list {
  border-top: 1px solid #dbdbdb !important;
}

.bh-sl-container .bh-sl-loc-list ul {
    display: flex !important;
    flex-direction: column; 
}

.bh-sl-container .bh-sl-loc-list ul li {
  border-bottom: 1px solid #dbdbdb !important;
  background: #fff !important;
  display: none !important;
}

.bh-sl-container .bh-sl-loc-list ul li.active {
  display: block !important;
}


.bh-sl-loc-list .state, .list-label, .loc-email {
  display: none !important;
}

.bh-sl-loc-list, .bh-sl-loc-list .list-details {
  width: 100%;
}

.list-details {
  width: 100% !important;
  margin: 0 !important;
}


.dealer-page .bh-sl-container .bh-sl-loc-list .list-label {
  background: #1a1a1a;
  border-radius: 5px;
  color: #ffffff;
  margin: 0 10px 0 0;
  padding: 1px;
  height: 25px;
  width: 25px;
  border: 0;
}

.bh-sl-container .bh-sl-map-container {
  margin-top: 0 !important;
}

.bh-sl-container .bh-sl-map {
  width: 100% !important;
}


.bh-sl-container .bh-sl-loc-list .list-details .list-content {
  padding: 10px 0 0 !important;
}

.sl-header {
  font-weight: bold;
  color: #445e74;
  font-family: Noto Serif, serif;
  font-size: 20px;
  text-transform: capitalize;
  margin-bottom: 5px;
  line-height: 1.4em;
}

.loc-addr, .loc-phone {
  color: #000;
  font-size: 16px;
  line-height: 1.5em;
  margin-bottom: 10px;
}

a.btn-sl {
  margin-top: 10px;
  background: lightblue;
  color: #000;
  padding: 7px 10px 5px;
  border-radius: 5px;
  display: inline-block;
  text-decoration: none;
  font-size: 12px;
}

.btn-sl:hover {
  background-color: #445e74;
  color: #fff;
}


a.sl-pop-web {
    margin-top: 0;
    background: #add8e6;
    color: #000;
    padding: 7px 15px 6px;
    border-radius: 5px;
    display: inline-block;
    font-size: 12px;
    font-weight: 300;
}

.sl-top {
  margin-top: 10px;
}

.sl-top b {
  color: #000 !important;
}

.sl-flex {
  display: flex;
}

/*.loc-web {
  margin-left: 10px;
}
*/

.bh-sl-container .bh-sl-loc-list {
  height: auto !important;
}


.bh-sl-loc-list ul {
  max-width: 100% !important;
}

.bh-sl-container .loc-name {
  font-size: 15px;
  font-weight: bold;
  color: #445e74;
  font-family: Noto Serif, serif;
}

.bh-sl-container .bh-sl-map-container a:hover {
    color: #ffffff;
    text-decoration: none;
}

.list-content.sl-content {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}


.event-register {
  background: lightblue;
  padding: 20px;
  border-radius: 5px;
  margin-bottom: 20px;
}

.event-register p:last-child {
  margin-bottom: 0;
}

.loc-directions {
  margin-right: 10px;
}

.pending .loc-directions {
  display: none !important;
}

.type {
  background: #445e74;
  padding: 5px 10px;
  text-transform: uppercase;
  font-weight: 700;
  color: #fff;
}

.hide {
  display: none !important;
}

@media (min-width: 768px) {
  .map-post form {
    text-align: right;
  }

  .map-basic {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    align-items: center;
    width: 100%;
  }

}

@media (max-width: 1023px) {

  .bh-sl-container .bh-sl-map {
    display: none;
  }


  .bh-sl-container .bh-sl-loc-list ul li:hover {
    border-color: #fff;
  }

}


@media (min-width: 1024px) {

  .bh-sl-container {
    display: flex;
    flex-direction: row-reverse;
  }

  .bh-sl-loc-list {
    width: 100% !important;
  }

  .bh-sl-map-container {
    width: 68% !important;
    margin-left: 2%;
  }

  .bh-sl-locations {
    width: 30%;
    overflow: hidden;
  }

  .bh-sl-container .bh-sl-loc-list {
    height: 450px !important;
  }

  .bh-sl-container .bh-sl-map-container {
      margin-bottom: 0 !important;
  }

  .bh-sl-container .bh-sl-map {
    height: 626px !important; 
  }


  .bh-sl-container .bh-sl-loc-list ul li:hover {
    background: #eeeeee !important;
  }

  .bh-sl-container .bh-sl-loc-list .list-focus {
    border-color:#add8e6 !important;
    background: #eeeeee !important; 
  }

}


@media (min-width: 1200px) {

  .bh-sl-container .bh-sl-loc-list {
    height: 626px !important;
  }

  .sl-header {
    font-size: 25px;
  }

}
